Summary: Constants | Inherited Constants | Ctors | Methods | Inherited Methods | [Expand All]
public static class

# Convert.XODOutputOptions

extends Convert.XPSOutputCommonOptions

java.lang.Object
↳ | com.pdftron.pdf.Convert.XPSOutputCommonOptions
| ↳ | com.pdftron.pdf.Convert.XODOutputOptions

## Class Overview

A class containing options for ToXod functions

## Summary

Constants
int | e_external_xfdf |
int | e_flatten |
int | e_internal_xfdf | The flag for annotation output options e_internal_xfdf: include the annotation file in the XOD output.

[Expand] Inherited Constants
From class com.pdftron.pdf.Convert.XPSOutputCommonOptions
int | e_op_off |
int | e_op_on |
int | e_op_pdfx_on |

Public Constructors
| XODOutputOptions()

Public Methods
void | UseSilverlightFlashCompatible(boolean compatible) The latest XOD format is only partially supported in Silverlight and Flash due to various optimizations in the text format and the addition of blend mode support.
void | setAnnotationOutput(int annot_output) Choose how to output annotations.
void | setElementLimit(int element_limit) If rendering is permitted, sets the maximum number of page elements before that page will be rendered.
void | setEncryptPassword(String pass) Encrypt XOD parts with AES 128 encryption using the supplied password.
void | setExternalParts(boolean generate) Output XOD as a collection of loose files rather than a zip archive.
void | setExtractUsingZorder(boolean use_zorder) Sets whether text extraction uses Z-order as reading order.
void | setFlattenContent(int flatten) Flatten images and paths into a single background image overlaid with vector text.
void | setFlattenThreshold(int threshold) Used to control how precise or relaxed text flattening is.
void | setJPGQuality(int quality) Specifies the compression quality to use when generating JPEG images.
void | setMaximumImagePixels(int max_pixels) Specifies the maximum image slice size in pixels.
void | setOpacityMaskWorkaround(boolean opacity) If rendering is permitted, sets whether pages containing opacity masks should be rendered.
void | setOutputThumbnails(boolean include_thumbs) Sets whether per page thumbnails should be included in the file.
void | setPreferJPG(boolean prefer_jpg) Where possible output JPG files rather than PNG.
void | setSilverlightTextWorkaround(boolean workaround) Outputs rotated text as paths.
void | setThumbnailSize(int regular_size, int large_size) The width and height of squares in which thumbnails will be contained.
void | setThumbnailSize(int size) The width and height of a square in which thumbnails will be contained.

[Expand] Inherited Methods
From class com.pdftron.pdf.Convert.XPSOutputCommonOptions
void | generateURLLinks(boolean generate) Sets whether links should be generated from urls found in the document.
void | setDPI(int dpi) The output resolution, from 1 to 1000, in Dots Per Inch (DPI) at which to render elements which cannot be directly converted.
void | setOverprint(int mode) Enable or disable support for overprint and overprint simulation.
void | setPrintMode(boolean print_mode) Sets whether ToXps should be run in print mode.
void | setRenderPages(boolean render) Sets whether rendering of pages should be permitted when necessary to guarantee output.
void | setThickenLines(boolean thicken) Sets whether thin lines should be thickened.
From class java.lang.Object
boolean | equals(Object arg0)
final Class<?> | getClass()
int | hashCode()
final void | notify()
final void | notifyAll()
String | toString()
final void | wait(long arg0, int arg1)
final void | wait(long arg0)
final void | wait()

## Constants

#### public static final int e_external_xfdf

Constant Value: 1 (0x00000001)

#### public static final int e_flatten

Constant Value: 2 (0x00000002)

#### public static final int e_internal_xfdf

The flag for annotation output options e_internal_xfdf: include the annotation file in the XOD output. This is the default option. e_external_xfdf: output the annotation file externally to the same output path with extension .xfdf. This is not available when using streaming conversion e_flatten: flatten all annotations that are not link annotations

Constant Value: 0 (0x00000000)

## Public Constructors

#### public XODOutputOptions ()

## Public Methods

#### public void UseSilverlightFlashCompatible (boolean compatible)

The latest XOD format is only partially supported in Silverlight and Flash due to various optimizations in the text format and the addition of blend mode support. This option forces the converter to use an older version of XOD that is Silverlight/Flash compatible but does not have these improvements. By default the latest XOD format is generated.

##### Parameters

compatible | if true will use the older XOD format which is not compatible with Silverlight/Flash

##### Throws

PDFNetException |

#### public void setAnnotationOutput (int annot_output)

Choose how to output annotations. The options are as follows: internal (include the annotation file in the XOD output. This is the default option.) external (output the annotation file externally to the same output path with extension .xfdf. This is not available when using streaming conversion) flatten (flatten all annotations that are not link annotations) Default is e_internal_xfdf

##### Parameters

annot_output | the annotation output option

##### Throws

PDFNetException |

#### public void setElementLimit (int element_limit)

If rendering is permitted, sets the maximum number of page elements before that page will be rendered. Default is 2000000000 which will never cause pages to be completely rendered in this manner.

##### Parameters

element_limit | the maximum number of elements before a given page will be rendered

##### Throws

PDFNetException |

#### public void setEncryptPassword (String pass)

Encrypt XOD parts with AES 128 encryption using the supplied password.

##### Parameters

pass | the encryption password

##### Throws

PDFNetException |

#### public void setExternalParts (boolean generate)

Output XOD as a collection of loose files rather than a zip archive. This option should be used when using the external part retriever in Webviewer. Default is false.

##### Parameters

generate | if true XOD is output as a collection of loose files

##### Throws

PDFNetException |

#### public void setExtractUsingZorder (boolean use_zorder)

Sets whether text extraction uses Z-order as reading order. Default is false.

##### Parameters

use_zorder | use_zorder if true text extraction uses Z-order as reading order.

##### Throws

PDFNetException |

#### public void setFlattenContent (int flatten)

Flatten images and paths into a single background image overlaid with vector text. This option can be used to improve speed on devices with little processing power such as iPads. Default is e_high_quality.

##### Parameters

flatten | select which flattening mode to use.

##### Throws

PDFNetException |

#### public void setFlattenThreshold (int threshold)

Used to control how precise or relaxed text flattening is. When some text is preserved (not flattened to image) the visual appearance of the document may be altered.

##### Parameters

threshold | the threshold setting to use.

##### Throws

PDFNetException |

#### public void setJPGQuality (int quality)

Specifies the compression quality to use when generating JPEG images.

##### Parameters

quality | the JPEG compression quality, from 0(highest compression) to 100(best quality).

##### Throws

PDFNetException |

#### public void setMaximumImagePixels (int max_pixels)

Specifies the maximum image slice size in pixels. Default is 2000000.

Note: This setting now will no longer reduce the total number of image pixels. Instead a lower value will just produce more slices and vice versa.

Note: Since image compression works better with more pixels a larger max pixels should generally create smaller files.

##### Parameters

max_pixels | the maximum number of pixels an image can have

##### Throws

PDFNetException |

#### public void setOpacityMaskWorkaround (boolean opacity)

If rendering is permitted, sets whether pages containing opacity masks should be rendered. This option is used as a workaround to a bug in Silverlight where opacity masks are transformed incorrectly. Default is false.

##### Parameters

opacity | if true pages with opacity masks will be rendered

##### Throws

PDFNetException |

#### public void setOutputThumbnails (boolean include_thumbs)

Sets whether per page thumbnails should be included in the file. Default is true.

##### Parameters

include_thumbs | if true thumbnails will be included

##### Throws

PDFNetException |

#### public void setPreferJPG (boolean prefer_jpg)

Where possible output JPG files rather than PNG. This will apply to both thumbnails and document images. Default is true.

##### Parameters

prefer_jpg | if true JPG images will be used whenever possible.

##### Throws

PDFNetException |

#### public void setSilverlightTextWorkaround (boolean workaround)

Outputs rotated text as paths. This option is used as a workaround to a bug in Silverlight where pages with rotated text could cause the plugin to crash. Default is false.

##### Parameters

workaround | if true rotated text will be changed to paths

##### Throws

PDFNetException |

#### public void setThumbnailSize (int regular_size, int large_size)

The width and height of squares in which thumbnails will be contained. Default is 400 for normal pages and 1500 for large pages.

Note: A large page is a page larger than twice the area of the standard page size (8.5 X 11).

##### Parameters

regular_size | the maximum dimension that thumbnails for regular size pages will have.
large_size | the maximum dimension that thumbnails for large pages will have.

##### Throws

PDFNetException |

#### public void setThumbnailSize (int size)

The width and height of a square in which thumbnails will be contained. Default is 400 for normal pages and 1500 for large pages.

Note: A large page is a page larger than twice the area of the standard page size (8.5 X 11).

##### Parameters

size | the maximum dimension (width or height) that thumbnails will have.

##### Throws

PDFNetException |